Package htsjdk.samtools

# Class SRAIterator.RecordRangeInfo

java.lang.Object
htsjdk.samtools.SRAIterator.RecordRangeInfo

Enclosing class:
  `SRAIterator`

public static class SRAIterator.RecordRangeInfo extends Object
Describes record ranges info needed for emulating BAM index

## Constructor Summary

Constructors
Constructor
Description
`RecordRangeInfo(List<Long> referenceLengthsAligned, long numberOfReads)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getNumberOfReads()`
`final List<Long>`
`getReferenceLengthsAligned()`
`final List<Long>`
`getReferenceOffsets()`
`long`
`getTotalRecordRangeLength()`
`long`
`getTotalReferencesLength()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RecordRangeInfo

public RecordRangeInfo(List<Long> referenceLengthsAligned, long numberOfReads)

Parameters:
  `referenceLengthsAligned` - a list with lengths of each reference
  `numberOfReads` - total number of reads within SRA archive

## Method Details

### getNumberOfReads

public long getNumberOfReads()

### getTotalReferencesLength

public long getTotalReferencesLength()

### getTotalRecordRangeLength

public long getTotalRecordRangeLength()

### getReferenceOffsets

public final List<Long> getReferenceOffsets()

### getReferenceLengthsAligned

public final List<Long> getReferenceLengthsAligned()